# services/comms/livekit-ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: livekit-ingress
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    traefik.ingress.kubernetes.io/router.middlewares: comms-livekit-sfu-strip@kubernetescrd
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  tls:
    - hosts:
        - kit.live.bstein.dev
      secretName: kit-live-tls
  rules:
    - host: kit.live.bstein.dev
      http:
        paths:
          - path: /livekit/sfu
            pathType: Prefix
            backend:
              service:
                name: livekit
                port:
                  number: 7880
